
.. currentmodule:: silx.gui.widgets

:mod:`TableWidget`: Table widget
--------------------------------

.. automodule:: silx.gui.widgets.TableWidget


Widget
++++++

.. autoclass:: silx.gui.widgets.TableWidget.TableWidget
   :members:
   :show-inheritance:


View
++++

.. autoclass:: silx.gui.widgets.TableWidget.TableView
   :members:
   :show-inheritance:


Actions
+++++++

.. autoclass:: silx.gui.widgets.TableWidget.CopySelectedCellsAction
   :show-inheritance:

.. autoclass:: silx.gui.widgets.TableWidget.CopyAllCellsAction
   :show-inheritance:

.. autoclass:: silx.gui.widgets.TableWidget.CutSelectedCellsAction
   :show-inheritance:

.. autoclass:: silx.gui.widgets.TableWidget.CutAllCellsAction
   :show-inheritance:

.. autoclass:: silx.gui.widgets.TableWidget.PasteCellsAction
   :show-inheritance:
